Bug 842193 - Documentation doesn't currently build on RHEL 6
Documentation doesn't currently build on RHEL 6
Status: CLOSED EOL
Product: PulpDist
Classification: Community
Component: z_other (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nick Coghlan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-22 21:42 EDT by Nick Coghlan
Modified: 2016-09-28 23:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-28 23:04:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2012-07-22 21:42:06 EDT
Default version of Sphinx on RHEL 6 is 0.6.6

At the very least, that version is missing the "viewcode" extension currently used in the PulpDist documentation

"pip install sphinx" will get a local build working, but it would be better if the docs either gracefully degraded, or else if this doc build dependency was more clearly documented.
Comment 1 Nick Coghlan 2016-09-28 23:04:27 EDT
Marking all remaining PulpDist issues as CLOSED-EOL

It doesn't make sense to leave these issues open, as PulpDist hasn't been in active development for quite some time, and restarting development would involve a significant modernisation effort that would likely render many of these requests irrelevant.

Note You need to log in before you can comment on or make changes to this bug.